from apps.supervision.serializers import TaskDeptSerializer
from django.urls import path, include
from rest_framework import routers
from .views import (ContentViewSet, TaskViewSet,RecordViewSet, TaskDeptViewSet, PogalViewSet, Task2ViewSet, Task2DoViewSet, PgoalDeptViewSet,
RcViewSet, ComplaintViewSet, PtViewSet, RiskViewSet, OinspectViewSet)
from apps.supervision.views2 import AnalyseViewSet

router = routers.DefaultRouter()
router.register('content', ContentViewSet, basename="content")
router.register('task', TaskViewSet, basename="task")
router.register('record', RecordViewSet, basename="record")
router.register('taskdept', TaskDeptViewSet, basename="taskdept")
router.register('pgoal', PogalViewSet, basename='pgoal')
router.register('task2', Task2ViewSet, basename='task2')
router.register('task2do', Task2DoViewSet, basename='task2do')
router.register('pgoaldept', PgoalDeptViewSet, basename='pgoaldept')
router.register('rc', RcViewSet, basename='rc')
router.register('complaint', ComplaintViewSet, basename='complaint')
router.register('pt', PtViewSet, basename='pt')
router.register('risk', RiskViewSet, basename='risk')
router.register('oinspect', OinspectViewSet, basename='oinspect')
router.register('analyse', AnalyseViewSet, basename='supervision_analyse')
urlpatterns = [
    path('', include(router.urls))
]